### Method

# EBackend SubprocessFactory open_backend

since: 3.16

#### Declaration [src]

    gchar*
    e_subprocess_factory_open_backend (
      ESubprocessFactory* subprocess_factory,
      GDBusConnection* connection,
      const gchar* uid,
      const gchar* backend_factory_type_name,
      const gchar* module_filename,
      GDBusInterfaceSkeleton* proxy,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Returns the `EBackend` data D-Bus object path.

Available since: 3.16

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the method.

`uid`

  Type: `const gchar*`

  UID of an `ESource` to open.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`backend_factory_type_name`

  Type: `const gchar*`

  The name of the backend factory type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`module_filename`

  Type: `const gchar*`

  The name (full-path) of the backend module to be loaded.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`proxy`

  Type: `GDBusInterfaceSkeleton`

  A `GDBusInterfaceSkeleton`, used to communicate to the subprocess backend.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

A newly allocated string that represents the `EBackend` data D-Bus object path.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.